Subject: [Spridgets] Cheap Bugeyes

From: James Gruber <[email-masked]>
Date: Wed, 27 Feb 2013 05:57:02 -0800 (PST)

I can see also aftermarket springs on this BE. Rear end extra high in the air.
Nice example but nowhere near the quality of Leo's BE, Iris. Glad I've
got Bugsy II purchased. Yes he is a kit of parts to be reassembled but lots of
upside potential. Now to figure out how to sneak another BE into the garage at
the lake that I know about for a really good price and not let SWMBO know
until it's in there. Yes honey, I need it for spare parts. 
------------------------

[email-masked]

Archive: http://www.team.net/archive